Subject: [xrblock] Open issues to QoE metric Block drafts

From: Qin Wu <[email-masked]>
Date: Sat, 29 Oct 2011 15:34:53 +0800

Hi, Alan:
Thank for your comments to draft-wu-xrblock-rtcp-xr-quality-monitoring through offline discussion, I have just submitted a new version to address your comments
at the following link:
http://tools.ietf.org/html/draft-wu-xrblock-rtcp-xr-quality-monitoring-04
This new version contain the changes that reflect your valuable reviews and suggestions.

Your review also reminds me there was an outdated sleeping dafts aiming at the same milestone.
http://tools.ietf.org/html/draft-ietf-avt-rtcp-xr-qoe-00
I should admit that I haven't been aware this draft and unfortuntely miss it when I wrote this draft at the begginning. 

But I am willing  and happy to see the drafts merging happen since the idea are quite same and the difference is very trivial and but can be taken as a good input to both drafts.
 I would like to bring up 3 open issues from my perspective early before the Taipei meeting:

1. Allocation of metrics to RTCP XR blocks
Given availability of at least three metrics for QoE(e.g., MoS-V, MoS-AV, MoS-LQ) , there are
three design options for the allocation of metrics to RTCP XR blocks:
   o  provide an RTCP XR block per metric

   o  provide a single RTCP XR block which contains all three metrics

   o  provide a single RTCP block to convey any one of the three
      metrics, together with a identifier to inform the receiving RTP
      system of the specific metric being conveyed
which design option we should take? Shall we take the option 3?

2.  Multi-channel audio or audio/video metrics support
In the draft-ietf-avt-rtcp-xr-qoe, the terms "channel" is defined to distinguish multiple audio or video channels 
carried in one single RTP  stream.The two open questions are:
a.the audio data and video data may be mixed in one channel, how do you distinguish audio data and video data with the same channel ID?
b. Is it sufficient to use only CNAME and associated SSRC to identify each stream rather than distinct different channel?

3. Specify MoS estimate algorithms besides MoS type
The open question is:
"Is there a need to distinguish different MoS algorithms to calculate MoS value for each MoS Type when we have thousands
of algorithms that can be used and only a few of them have been and will be standardized?"

If there are some discussion between us or among all the XRBlock folks before the meeting, that would be great. Thanks.

Regards!
-Qin